GCLOUD_PROJECTS_ADD-IAM-POLICY-BINDING(1)

NAME

gcloud projects add-iam-policy-binding - add IAM policy binding for a project

SYNOPSIS

gcloud projects add-iam-policy-binding PROJECT_ID --member=MEMBER --role=ROLE [GLOBAL-FLAG ...]

DESCRIPTION
Adds a policy binding to the IAM policy of a project, given a project ID and the binding.

POSITIONAL ARGUMENTS

    PROJECT_ID
        ID for the project you want to add IAM policy binding to.

REQUIRED FLAGS

    --member=MEMBER
        The member to add to the binding.

    --role=ROLE
        Define the role of the member.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command will add an IAM policy binding for the role of 'roles/editor' for the user 'test-user@gmail.com' on a project with identifier 'example-project-id-1'
    $ gcloud projects add-iam-policy-binding example-project-id-1 \
        --member='user:test-user@gmail.com' --role='roles/editor'
See https://cloud.google.com/iam/docs/managing-policies for details of policy role and member types.